### Property

# Clutter PanGesture:required-button

#### Declaration

    property required-button: guint [ read, write ]

#### Description [src]

The mouse button required for the pan gesture to recognize. Pass 0 to allow any button. Touch input is always handled as a press of the primary button.

Type:`guint`

Default value | 1
Getter method | `clutter_pan_gesture_get_required_button()`
Setter method | `clutter_pan_gesture_set_required_button()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no